#!/bin/sh
#Include common scripts
. /var/packages/CloudStation/target/scripts/CloudStationCommon


cstn_change_vol()
{

	local from_loc="$1";
	local to_loc="$2";

	if [ ! -d "${from_loc}/@cloudstation" ]; then
		logger -p 0 "$from_loc/@cloudstation does not exist"
		return;
	fi

	touch "/tmp/sf_repo_mv"

	#In different volumes
	rm -rf "${to_loc}/@cloudstation" > /dev/null 2>&1
	cp -rf "${from_loc}/@cloudstation" "${to_loc}/@cloudstation"  > /dev/null 2>&1
	# handle cp fail
	if [ 0 -ne $? ]; then
		logger -p 0 "cp \"${from_loc}/@cloudstation\" \"${to_loc}/@cloudstation\" fail, fall back"
		mv "${to_loc}/@cloudstation" "${to_loc}/@tmp/@cloudstation"  > /dev/null 2>&1
		rm -rf  "${to_loc}/@tmp/@cloudstation" &
		rm -rf "/tmp/sf_repo_mv"
		return 1;
	fi
	mv "${from_loc}/@cloudstation" "${from_loc}/@tmp/@cloudstation"  > /dev/null 2>&1
	rm -rf  "${from_loc}/@tmp/@cloudstation" &
	

	logger -p 0 "move homes from ${from_loc}/@cloudstation to ${to_loc}/@cloudstation successfully"

	set_db_vol "$CSTN_DB_PATH_DIR/$CSTN_DB_CONF" db-vol "${to_loc}"

	rm -rf "/tmp/sf_repo_mv"
}

if [ 2 -ne $# ]; then
	echo "usage [from] [to]"
	return 1;
fi

    ${CSTN_START_SCRIPT} stop > /dev/null 2>&1;

    logger -p 0 "start to move from ${1}/@cloudstation to ${2}/@cloudstation "
    
    cstn_change_vol $1 $2 ;
    ${CSTN_START_SCRIPT} start > /dev/null 2>&1
